# Uses of Class
org.springframework.scheduling.config.IntervalTask

Packages that use IntervalTask
Package
Description
org.springframework.scheduling.config
Support package for declarative scheduling configuration, with XML schema being the primary configuration format.

## Uses of IntervalTask in org.springframework.scheduling.config

Subclasses of IntervalTask in org.springframework.scheduling.config
Modifier and Type
Class
Description
`class`
`FixedDelayTask`
Specialization of `IntervalTask` for fixed-delay semantics.
`class`
`FixedRateTask`
Specialization of `IntervalTask` for fixed-rate semantics.
Methods in org.springframework.scheduling.config that return types with arguments of type IntervalTask
Modifier and Type
Method
Description
`List<IntervalTask>`
ScheduledTaskRegistrar.`getFixedDelayTaskList()`
Get the fixed-delay tasks as an unmodifiable list of `IntervalTask` objects.
`List<IntervalTask>`
ScheduledTaskRegistrar.`getFixedRateTaskList()`
Get the fixed-rate tasks as an unmodifiable list of `IntervalTask` objects.
Methods in org.springframework.scheduling.config with parameters of type IntervalTask
Modifier and Type
Method
Description
`void`
ScheduledTaskRegistrar.`addFixedDelayTask(IntervalTask task)`
Add a fixed-delay `IntervalTask`.
`void`
ScheduledTaskRegistrar.`addFixedRateTask(IntervalTask task)`
Add a fixed-rate `IntervalTask`.
Method parameters in org.springframework.scheduling.config with type arguments of type IntervalTask
Modifier and Type
Method
Description
`void`
ScheduledTaskRegistrar.`setFixedDelayTasksList(List<IntervalTask> fixedDelayTasks)`
Specify fixed-delay tasks as a list of `IntervalTask` objects.
`void`
ScheduledTaskRegistrar.`setFixedRateTasksList(List<IntervalTask> fixedRateTasks)`
Specify fixed-rate tasks as a list of `IntervalTask` objects.